Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom
Class DOMLocatorImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.DOMLocatorImpl

All Implemented Interfaces:
  org.apache.xerces.dom3.DOMLocator

public class DOMLocatorImpl
extends java.lang.Object
implements org.apache.xerces.dom3.DOMLocator

`DOMLocatorImpl` is an implementaion that describes a location (e.g. where an error occured).

See also the Document Object Model (DOM) Level 3 Core Specification.

Version:
  $Id: DOMLocatorImpl.java,v 1.7 2003/03/20 00:38:29 elena Exp $
Author:
  Gopal Sharma, SUN Microsystems Inc.

Field Summary
`int` | `fColumnNumber` The column number where the error occured, or -1 if there is no column number available.
`int` | `fLineNumber` The line number where the error occured, or -1 if there is no line number available.
`int` | `fOffset` The byte or character offset into the input source, if we're parsing a file or a byte stream then this will be the byte offset into that stream, but if a character media is parsed then the offset will be the character offset
`org.w3c.dom.Node` | `fRelatedNode` related data node
`java.lang.String` | `fUri` The URI where the error occured, or null if there is no URI available.

Constructor Summary
`DOMLocatorImpl()`
`DOMLocatorImpl(int lineNumber, int columnNumber, int offset, org.w3c.dom.Node relatedData, java.lang.String uri)`
`DOMLocatorImpl(int lineNumber, int columnNumber, java.lang.String uri)`

Method Summary
`int` | `getColumnNumber()` The column number where the error occured, or -1 if there is no column number available.
`int` | `getLineNumber()` The line number where the error occured, or -1 if there is no line number available.
`int` | `getOffset()` The byte or character offset into the input source, if we're parsing a file or a byte stream then this will be the byte offset into that stream, but if a character media is parsed then the offset will be the character offset.
`org.w3c.dom.Node` | `getRelatedNode()` The node this locator is pointing to, or null if no node is available
`java.lang.String` | `getUri()` The URI where the error occured, or null if there is no URI available.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fColumnNumber

    public int fColumnNumber

  The column number where the error occured, or -1 if there is no column number available.

### fLineNumber

    public int fLineNumber

  The line number where the error occured, or -1 if there is no line number available.

### fOffset

    public int fOffset

  The byte or character offset into the input source, if we're parsing a file or a byte stream then this will be the byte offset into that stream, but if a character media is parsed then the offset will be the character offset

### fRelatedNode

    public org.w3c.dom.Node fRelatedNode

  related data node

### fUri

    public java.lang.String fUri

  The URI where the error occured, or null if there is no URI available.

Constructor Detail

### DOMLocatorImpl

    public DOMLocatorImpl()

### DOMLocatorImpl

    public DOMLocatorImpl(int lineNumber,
                          int columnNumber,
                          java.lang.String uri)

### DOMLocatorImpl

    public DOMLocatorImpl(int lineNumber,
                          int columnNumber,
                          int offset,
                          org.w3c.dom.Node relatedData,
                          java.lang.String uri)

Method Detail

### getLineNumber

    public int getLineNumber()

  The line number where the error occured, or -1 if there is no line number available.
  Specified by:
    `getLineNumber` in interface `org.apache.xerces.dom3.DOMLocator`

### getColumnNumber

    public int getColumnNumber()

  The column number where the error occured, or -1 if there is no column number available.
  Specified by:
    `getColumnNumber` in interface `org.apache.xerces.dom3.DOMLocator`

### getOffset

    public int getOffset()

  The byte or character offset into the input source, if we're parsing a file or a byte stream then this will be the byte offset into that stream, but if a character media is parsed then the offset will be the character offset.
  Specified by:
    `getOffset` in interface `org.apache.xerces.dom3.DOMLocator`

### getUri

    public java.lang.String getUri()

  The URI where the error occured, or null if there is no URI available.
  Specified by:
    `getUri` in interface `org.apache.xerces.dom3.DOMLocator`

### getRelatedNode

    public org.w3c.dom.Node getRelatedNode()

  Description copied from interface: `org.apache.xerces.dom3.DOMLocator`
  The node this locator is pointing to, or null if no node is available
  Specified by:
    `getRelatedNode` in interface `org.apache.xerces.dom3.DOMLocator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.